> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Affiliate Program Settings

> Fetch the active affiliate program configuration for the store.



## OpenAPI

````yaml get /v1/affiliate-program
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /v1/affiliate-program:
    get:
      tags:
        - Affiliates
      summary: Get Affiliate Program Settings
      description: Fetch the active affiliate program configuration for the store.
      responses:
        '200':
          description: Affiliate program settings
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      commission_type:
                        type: string
                      commission_amount:
                        type: number
                      cookie_duration_days:
                        type: number
                      minimum_payout_usd:
                        type: number
      security:
        - ApiKeyAuth: []
components: {}

````